import request from '@/utils/request'

export function listModeler(query) {
  return request({
    url: '/activiti/modeler/list',
    method: 'get',
    params: query
  })
}

export function deployModeler(id) {
  return request({
    url: '/activiti/modeler/deploy',
    method: 'post',
    params: {
      id: id
    }
  })
}

export function suspendOrActiveApply(id, suspendState) {
  return request({
    url: '/activiti/definition/suspendOrActiveApply',
    method: 'post',
    params: {
      'id': id,
      'suspendState': suspendState
    }
  })
}

export function delModeler(id) {
  return request({
    url: '/activiti/modeler/remove',
    method: 'post',
    params: {
      id: id
    }
  })
}
